Bug 728891 - rd.luks=0 is not removed when installing with encrypted root partition '/'
Summary: rd.luks=0 is not removed when installing with encrypted root partition '/'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F16Alpha, F16AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2011-08-08 10:11 UTC by He Rui
Modified: 2011-08-18 22:25 UTC (History)
5 users (show)

Fixed In Version: anaconda-16.14.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-09 21:20:14 UTC


Attachments (Terms of Use)

Description He Rui 2011-08-08 10:11:39 UTC
Description of problem:
after installing F-16-alpha-rc1 with encrypted / partition, system booted without asking for password, thus the / partition wasn't mounted to the system after boot. Removing rd.luks=0 from grub2 kernel options, it's back to normal.

Version-Release number of selected component (if applicable):
anaconda 16.14.2

How reproducible:
100%

Steps to Reproduce:
https://fedoraproject.org/wiki/QA:Testcase_Anaconda_autopart_%28encrypted%29_install

Comment 1 Kamil Páral 2011-08-08 14:10:31 UTC
Confirmed.

Comment 2 Tim Flink 2011-08-08 16:37:19 UTC
Discussed in the 2011-08-08 Fedora QA meeting. Accepted as a Fedora 16 alpha blocker as it violates the following alpha release criterion [1]:

The installer must be able to complete an installation using the entire disk, existing free space, or existing Linux partitions methods, with or without encryption or LVM enabled

[1] https://fedoraproject.org/wiki/Fedora_16_Alpha_Release_Criteria

Comment 3 Fedora Update System 2011-08-09 04:25:43 UTC
anaconda-16.14.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.3-1.fc16

Comment 4 Fedora Update System 2011-08-09 06:02:36 UTC
Package anaconda-16.14.3-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-16.14.3-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/anaconda-16.14.3-1.fc16
then log in and leave karma (feedback).

Comment 5 Tim Flink 2011-08-09 21:20:14 UTC
Verified as fixed in anaconda-16.14.3 using the Fedora 16 Alpha RC3 netinstall iso.

Comment 6 Fedora Update System 2011-08-11 15:49:50 UTC
anaconda-16.14.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.4-1.fc16

Comment 7 Fedora Update System 2011-08-15 16:55:35 UTC
anaconda-16.14.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.5-1.fc16

Comment 8 Fedora Update System 2011-08-16 20:14:47 UTC
anaconda-16.14.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.6-1.fc16

Comment 9 Fedora Update System 2011-08-18 22:24:20 UTC
anaconda-16.14.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.